package com.chenyang.nse.bussiness.entity.vo;

import java.util.ArrayList;
import java.util.List;

public class TreeGridVO {
   private String id;
   private String menuname;
   private String remark;
   private String parentid;
   private String flag;
   private Integer sortstring;
   private String icon;
   private String url;
   private String state;
   private String iconCls;
   private String note;
   private List<TreeGridVO> children;

   public TreeVO toTreeVO() {
      return new TreeVO(this);
   }

   public List<TreeVO> toTreeVOList() {
      List<TreeVO> tList = new ArrayList();
      if (this.children != null) {
         for(TreeGridVO tg : this.children) {
            tList.add(tg.toTreeVO());
         }
      }

      return tList;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id == null ? null : id.trim();
   }

   public String getMenuname() {
      return this.menuname;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note == null ? null : note.trim();
   }

   public void setMenuname(String menuname) {
      this.menuname = menuname == null ? null : menuname.trim();
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark == null ? null : remark.trim();
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid == null ? null : parentid.trim();
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag == null ? null : flag.trim();
   }

   public Integer getSortstring() {
      return this.sortstring;
   }

   public void setSortstring(Integer sortstring) {
      this.sortstring = sortstring;
   }

   public String getIcon() {
      return this.icon;
   }

   public void setIcon(String icon) {
      this.icon = icon == null ? null : icon.trim();
   }

   public String getUrl() {
      return this.url;
   }

   public void setUrl(String url) {
      this.url = url == null ? null : url.trim();
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public List<TreeGridVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<TreeGridVO> children) {
      this.children = children;
   }

   public String getIconCls() {
      return this.getIcon();
   }

   public void setIconCls(String iconCls) {
      this.iconCls = iconCls;
   }
}
